use crate::app::config::Configuration;
use rocket::Build;
use rocket::Rocket;

pub fn init(
    _config: &Configuration,
) -> super::InfallibleResult<Vec<(&'static str, gettext::Catalog)>> {
    Ok(Some(crate::get_i18n()))
}

pub fn register(
    rocket: Rocket<Build>,
    _config: &Configuration,
    state: Vec<(&'static str, gettext::Catalog)>,
) -> Rocket<Build> {
    rocket.manage(state)
}
